#import "mpapp.h"

extern BOOL isplaing;
extern MPControls *controls;
extern MPDisplay *display;

@implementation MPApp (MenuOperations)

- (void)playSong:(id)sender
{
	NSOpenPanel *panel;
	NSString *songPath;
	int result;
	
	panel = [NSOpenPanel openPanel];
	[panel setAllowsMultipleSelection:NO];
	[panel setCanChooseDirectories:NO];
	[panel setCanChooseFiles:YES];
	
	result = [panel runModalForDirectory: NSHomeDirectory() file:@""];

	if(result == 1) {
		songPath = [[panel filenames] objectAtIndex: 0];
		if([[songPath pathExtension] isEqualToString: @"mp3"]) {
			if(currSongPath)
				[currSongPath release];
			currSongPath = [[NSString alloc] initWithString: songPath];
			[self play];
		}
	}
}

- (void)newSongList:(id)sender
{
	[listsWin display];
	[listsWin orderFront:nil];
	[listsWin addList];
}

- (void)removeSongList:(id)sender
{
	[listsWin removeList];
}

- (void)openSongsWin:(id)sender
{
	[listsWin openList];
}

- (void)showListsWin:(id)sender
{
	[listsWin display];
	[listsWin orderFront:nil];
}

- (void)hideListsWin:(id)sender
{
	[listsWin close];
}

@end
