#ifndef MPCONTROLS_H
#define MPCONTROLS_H

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

@interface MPControls : NSView
{
	NSButton *prevButt, *revButt, *playstopButt, *ffButt, *nextButt;
	NSSlider *posSlide;
}

- (void)playStopPressed:(id)butt;
- (void)prevPressed:(id)butt;
- (void)revPressed:(id)butt;
- (void)ffPressed:(id)butt;
- (void)nextPressed:(id)butt;

- (void)resetButtons;
- (void)setPlayStopButtonPos:(BOOL)isOn;

@end

#endif // MPCONTROLS_H
