#include "mpdialogs.h"

@implementation NewSongListView

- (void)drawRect:(NSRect)rect
{
  	NSFont *font;

	// ---------------- Title ------------------
	[[NSColor blackColor] set];
	font = [NSFont systemFontOfSize: 18];
  	[font set];
  	PSmoveto(10, 125);
  	PSshow("new song list");

	// ---------------- Lines ------------------
  	[[NSColor darkGrayColor] set];
  	PSmoveto(0, 116);
 	PSlineto(220, 116);
	PSstroke();
  	[[NSColor whiteColor] set];
  	PSmoveto(0, 115);
 	PSlineto(220, 115);
	PSstroke();
	
	// ---------------- Lines ------------------
  	[[NSColor darkGrayColor] set];
  	PSmoveto(0, 45);
 	PSlineto(220, 45);
	PSstroke();
  	[[NSColor whiteColor] set];
  	PSmoveto(0, 44);
 	PSlineto(220, 44);
	PSstroke();
}

@end

@implementation NewSongListDlg

- (id)init
{
  	NSRect winrect, firsteditrect;
	NSRect cancelbuttrect, okbuttrect;

	self = [super initWithContentRect:NSZeroRect 
					 				styleMask:NSTitledWindowMask
									  backing:NSBackingStoreRetained 
						  				 defer:NO];
  	if(self) {
  		dialogView = [[[NewSongListView alloc] initWithFrame: NSZeroRect] autorelease];
		winrect = NSMakeRect(300, 200, 220, 150);
		[self setFrame:winrect display:NO];
		[dialogView setFrame:winrect];

		firsteditrect = NSMakeRect(30, 70, 160, 20);
		firstedit = [[[NSTextField alloc] initWithFrame:firsteditrect] autorelease];
		[dialogView addSubview: firstedit];

		cancelbuttrect = NSMakeRect(20, 10, 80, 25);
	  	cancelbutt = [[[NSButton alloc] initWithFrame: cancelbuttrect] autorelease];
	  	[cancelbutt setButtonType: NSMomentaryLight];
	  	[cancelbutt setTitle: @"cancel"];
	  	[cancelbutt setTarget:self];
	  	[cancelbutt setAction:@selector(buttonAction:)];		
		[dialogView addSubview: cancelbutt]; 
		
  		okbuttrect = NSMakeRect(120, 10, 80, 25);
	  	okbutt = [[[NSButton alloc] initWithFrame: okbuttrect] autorelease];
	  	[okbutt setButtonType: NSMomentaryLight];
	  	[okbutt setTitle: @"ok"];
	  	[okbutt setTarget:self];
	  	[okbutt setAction:@selector(buttonAction:)];		
		[dialogView addSubview: okbutt]; 
      [self makeFirstResponder: okbutt];
		
		[self setContentView: dialogView];
		[self setTitle:@"MPlay"];
	}
  	return self;
}

- (void) dealloc
{
	[dialogView release];
	[cancelbutt release];
  	[okbutt release];
  	[super dealloc];
}

- (NSString *)getFirstValue
{
	return [firstedit stringValue];
}

- (int)getresult
{
	return result;
}

- (void)buttonAction:(id)sender
{
	if(sender == okbutt)
		result = 1;
	else	
		result = 0;
		
	[[NSNotificationCenter defaultCenter]
 				 postNotificationName:@"MPNewSongListNotification" 
	 								object:(id)self];                					  		
}

@end
