#ifndef LISTSWIN_H
#define LISTSWIN_H

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#include "songswin.h"

@interface MPPlayListsWin : NSWindow
{
	NSMutableDictionary *listsDict;
	NSMutableArray *listWins;
	NSView *myView;
  	NSScrollView *listsScroll;
  	NSMatrix *listsMatrix;	
  	NSButtonCell *buttonCell;
}

- (id)initWithListsDict:(NSDictionary *)lists;
- (NSDictionary *)listsDict;
- (void)addList;
- (void)removeList;
- (void)addListDialogReturn:(NSNotification *)aNotification;
- (void)openList;
- (void)saveChangesInSongsWin:(MPPlaySongsWin *)aWin;
- (void)handleListsMatrixDoubleClick:(id)sender;
- (void)handleDoubleClick:(id)sender;
- (void)runAlert:(NSString *)error;

@end

#endif // LISTSWIN_H
